Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class CollectionTaggerOutputs.TaggerOutputHolder

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.CollectionTaggerOutputs.TaggerOutputHolder

Enclosing class:
  CollectionTaggerOutputs

    public static class CollectionTaggerOutputs.TaggerOutputHolder

extends Object

This class has instances for each tagger used in the tagger combination. It will contain an array of elements - one element per token in the training/test sets. Each element will be an array of length 3 - the top probable 3 tags with scaled probability.

Constructor Summary
`CollectionTaggerOutputs.TaggerOutputHolder(boolean probs)`
`CollectionTaggerOutputs.TaggerOutputHolder(String fileName, boolean probs)`

Method Summary
`String` | `getTag(int numToken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionTaggerOutputs.TaggerOutputHolder

    public CollectionTaggerOutputs.TaggerOutputHolder(boolean probs)

### CollectionTaggerOutputs.TaggerOutputHolder

    public CollectionTaggerOutputs.TaggerOutputHolder(String fileName,
                                                      boolean probs)

Method Detail

### getTag

    public String getTag(int numToken)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group